# Security Policies and Procedures

## Supported Versions

| Version | Supported          |
| ------- | ------------------ |
| 3.0.x   | :white_check_mark: |
| 2.0.X   | :white_check_mark: |
| 1.x.x   | :white_check_mark: |

This document outlines Security Procedures and General Policies for this Project.

  * [Reporting a Vulnerability](#reporting-a-vulnerability)
  * [Disclosure Policy](#disclosure-policy)
  * [Comments on this Policy](#comments-on-this-policy)

## Reporting a Vulnerability

Report security vulnerabilities by emailing the lead maintainer at security@safesafe.app.

The lead maintainer will acknowledge your email within 48 hours, and will send a
more detailed response within 48 hours indicating the next steps in handling
your report. After the initial reply to your report, the security team will
endeavor to keep you informed of the progress towards a fix and full
announcement, and may ask for additional information or guidance.

Report security vulnerabilities in third-party software to the person or team maintaining
that software.

## Disclosure Policy

When the security team receives a security vulnerability report, they will assign it to a
primary handler. This person will coordinate the fix and release process,
involving the following steps:

  * Confirm the problem and determine the affected versions.
  * Audit code to find any potential similar problems.
  * Prepare fixes for all releases still under maintenance. These fixes will be
    released as fast as possible to all distribution providers.

## Comments on this Policy

If you have suggestions on how this process could be improved please submit a
pull request.
